<?

####

# Calculo dos digitos verificadores

####



//

// Quarto dígito verificador

//

$total = 0;

$mult = 2;

	for ($i=10; $i>=0; $i--) {

	$parcial = ($mult * $parcial_4[$i]);

	if ($mult == 2)

		$mult = 1;

	else

		$mult = 2;

	if ($parcial >= 10) {

		$parcial_1 = 0;

		$total_numeros = strlen($parcial);

		$parcial_temp = $parcial;

		settype($parcial_temp,"string");

		for ($j = 0; $j < $total_numeros; $j++) {

			$parcial_1 = $parcial_1 + $parcial_temp[$j];

		}

		$total = $total + $parcial_1;

	}

	else {

		$total = $total + $parcial;

	}

}

$divisao = ($total % 10);

if ($divisao == 0)

	$digito_verificador_4 = 0;

else

	$digito_verificador_4 = 10 - $divisao;



?>